### Class

# Atk StateSet

#### Description [src]

    class Atk.StateSet : GObject.Object
    {
      /* No available fields */
    }

An AtkStateSet contains the states of an object.

An AtkStateSet is a read-only representation of the full set of `AtkStates` that apply to an object at a given time. This set is not meant to be modified, but rather created when #atk_object_ref_state_set() is called.

#### Ancestors

- GObject

#### Constructors

###### atk_state_set_new

Creates a new empty state set.

#### Instance methods

###### atk_state_set_add_state

Adds the state of the specified type to the state set if it is not already present.

###### atk_state_set_add_states

Adds the states of the specified types to the state set.

###### atk_state_set_and_sets

Constructs the intersection of the two sets, returning `NULL` if the intersection is empty.

###### atk_state_set_clear_states

Removes all states from the state set.

###### atk_state_set_contains_state

Checks whether the state for the specified type is in the specified set.

###### atk_state_set_contains_states

Checks whether the states for all the specified types are in the specified set.

###### atk_state_set_is_empty

Checks whether the state set is empty, i.e. has no states set.

###### atk_state_set_or_sets

Constructs the union of the two sets.

###### atk_state_set_remove_state

Removes the state for the specified type from the state set.

###### atk_state_set_xor_sets

Constructs the exclusive-or of the two sets, returning `NULL` is empty. The set returned by this operation contains the states in exactly one of the two sets.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AtkStateSetClass {
      GObjectClass parent;

    }

No description available.

###### Class members

`parent: GObjectClass`

  No description available.